### ChangeGroupMember

Category

Structuring

Function

Insert, rename, or delete a member of an existing group

Syntax

    changed = ChangeGroupMember(data, operation, id, newmember, newtag);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`data` | group | none | input group object
`operation` | string | none | how to alter the group member
`id` | integer | none | index or name of existing group member
`newmember` | object | operation dependent | new or replacement group member
`newtag` | scalar or string | no default | new series position or member name

Outputs

Name | Type | Description
--- | --- | ---
`changed` | group | group with one member changed

Functional Details

This module allows you to replace or insert a member of an existing group.

`data` | is the group to be modified
`operation` | is the operation to perform on the specified member of `data`. If `data` is a series group, then `operation` must be one of "insert before", "replace", "insert after", or "delete". If `data` is any other kind of group, then `operation` must be one of "insert", "replace", "delete". Note that for most applications, the order of members in a group is not important, and the order of members in a group is not guaranteed to be maintained by modules in Data Explorer unless the group is a Series.
`id` | is the index (from 0 to n-1, where n is the number of members of `data`) or name of an existing member of `data`
`newmember` | is the new or replacement object to be placed in `data`
`newtag` | is the series position or member name for `newmember`. If `data` is a series, this parameter is required.

Components

This module does not modify any components of the input `data`.

Example Visual Programs

    ManipulateGroups.net

See Also

ChangeGroupType, Collect, CollectSeries, CollectNamed, CollectMultiGrid

[ OpenDX Home at IBM | OpenDX.org ]